/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { BollingerBandWidthIndicatorStrategy } from "./BollingerBandWidthIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
var BollingerBandWidthIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(BollingerBandWidthIndicator, _super);
    function BollingerBandWidthIndicator() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BollingerBandWidthIndicator.prototype.get_p0 = function () {
        return new BollingerBandWidthIndicatorStrategy();
    };
    Object.defineProperty(BollingerBandWidthIndicator.prototype, "p0", {
        get: function () {
            return this.get_p0();
        },
        enumerable: true,
        configurable: true
    });
    BollingerBandWidthIndicator.prototype.get_qd = function () {
        return BollingerBandWidthIndicator.$;
    };
    Object.defineProperty(BollingerBandWidthIndicator.prototype, "qd", {
        get: function () {
            return this.get_qd();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BollingerBandWidthIndicator.prototype, "qm", {
        get: function () {
            return typeGetValue(this.c(BollingerBandWidthIndicator.qp));
        },
        set: function (a) {
            this.h(BollingerBandWidthIndicator.qp, a);
        },
        enumerable: true,
        configurable: true
    });
    BollingerBandWidthIndicator.prototype.p6 = function () {
        return this.qm;
    };
    Object.defineProperty(BollingerBandWidthIndicator.prototype, "ql", {
        get: function () {
            return this.c(BollingerBandWidthIndicator.qo);
        },
        set: function (a) {
            this.h(BollingerBandWidthIndicator.qo, a);
        },
        enumerable: true,
        configurable: true
    });
    BollingerBandWidthIndicator.prototype.p4 = function () {
        return this.ql;
    };
    BollingerBandWidthIndicator.qp = StrategyBasedIndicator.qi(20, BollingerBandWidthIndicator.$);
    BollingerBandWidthIndicator.qo = StrategyBasedIndicator.qh(2, BollingerBandWidthIndicator.$);
    BollingerBandWidthIndicator.$t = markType(BollingerBandWidthIndicator, 'BollingerBandWidthIndicator', StrategyBasedIndicator.$);
    return BollingerBandWidthIndicator;
}(StrategyBasedIndicator));
export { BollingerBandWidthIndicator };
/*<BeginStatics Name="Infragistics.Controls.Charts.BollingerBandWidthIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.BollingerBandWidthIndicator" />*/
